Eliminar evento de marketing por ID externos
curl --request DELETE \
--url https://api.hubapi.com/marketing/marketing-events/2026-03/events/{externalEventId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/marketing-events/2026-03/events/{externalEventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/marketing-events/2026-03/events/{externalEventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Eventos de marketing
Delete event by external ID
Elimina los eventos de marketing existentes con el externalAccountId, externalEventId especificado, si existe.
Solo se eliminarán eventos de marketing creados por la misma aplicación.
DELETE
/
marketing
/
marketing-events
/
2026-03
/
events
/
{externalEventId}
Eliminar evento de marketing por ID externos
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
FlowAuthorization Code
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Scopes1
crm.objects.marketing_events.write
Parámetros de ruta
Parámetros de consulta
Respuesta
No content
Última modificación el 6 de octubre de 2026